float noise(vec2 pos,int seed) {
	float ret = fract(sin(seed+dot(pos,vec2(12.9898,78.233)))*43758.5453)*2.0-0.8;
	return ret;
}

uniform float timer;
uniform sampler2D colorMap;
void main(void) {

	//vec2 offset0 = vec2(sin(gl_TexCoord[0].t*1024)*0.1,sin(gl_TexCoord[0].s*1024)*0.1);
	//vec2 offset1 = vec2(0.000,sin(timer*10+gl_TexCoord[0].s*10)*0.002);


	//vec4 color = texture2D(colorMap,gl_TexCoord[0].st);
	vec4 color = texture2D(colorMap,gl_TexCoord[0].st);
	gl_FragData[0] = color;
	gl_FragData[0].x = texture2D(colorMap,gl_TexCoord[0].st+vec2(0.002,0.002)).x;
	gl_FragData[0].y = texture2D(colorMap,gl_TexCoord[0].st-vec2(0.002,0.002)).y;
}
